- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
VrpSolution Class Reference

This class contains a vrp solution. More...

`#include <VrpSolution.h>`

Inheritance diagram for VrpSolution:
[legend]
Collaboration diagram for VrpSolution:
[legend]

## Public Member Functions
| VrpSolution ()
| Default constructor. More...
| VrpSolution (int s, const double *values, double objValue, VrpModel *vrp=0)
| Useful constructor. More...
virtual | ~VrpSolution ()
| Destructor. More...
void | setOpt (_node *opt)
| Set opt. More...
virtual void | print (std::ostream &os) const
| Print the solution. More...
virtual AlpsEncoded * | encode () const
| The method that encodes the solution into a encoded object. More...
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| The method that decodes the solution from a encoded object. More...
Public Member Functions inherited from BlisSolution
| BlisSolution ()
| Default constructor. More...
| BlisSolution (int s, const double *values, double objValue)
| Useful constructor. More...
virtual | ~BlisSolution ()
| Destructor. More...
| BlisSolution ()
| Default constructor. More...
| BlisSolution (int s, const double *values, double objValue)
| Useful constructor. More...
virtual | ~BlisSolution ()
| Destructor. More...
Public Member Functions inherited from BcpsSolution
| BcpsSolution ()
| Default constructor. More...
| BcpsSolution (int size, const double *values, double q)
| Useful constructor. More...
| BcpsSolution (int size, BcpsObject_p *&objects, double *&values, double q)
| Construct an object using the given arrays. More...
virtual | ~BcpsSolution ()
| Distructor. More...
AlpsReturnStatus | encodeBcps (AlpsEncoded *encoded) const
| Pack Bcps part of solution into an encoded objects. More...
AlpsReturnStatus | decodeBcps (AlpsEncoded &encoded)
| Unpack Bcps part of solution from an encoded objects. More...
int | getSize () const
| Get the appropriate data member. More...
const BcpsObject_p * | getObjects () const
| Get the appropriate data member. More...
const double * | getValues () const
| Get the appropriate data member. More...
double | getQuality () const
| Get the appropriate data member. More...
void | setSize (int s)
| Set/assign the appropriate data member. More...
void | assignObjects (BcpsObject_p *&obj)
| Set/assign the appropriate data member. More...
void | setValues (const double *vs, int s)
| Set/assign the appropriate data member. More...
void | setQuality (double q)
| Set/assign the appropriate data member. More...
virtual BcpsSolution * | selectNonzeros (const double etol=1e-5) const
| Select the fractional/nonzero elements from the solution array and return a new object in compacted form. More...
virtual BcpsSolution * | selectFractional (const double etol=1e-5) const
| Select the fractional/nonzero elements from the solution array and return a new object in compacted form. More...
Public Member Functions inherited from AlpsSolution
| AlpsSolution ()
| Default constructor. More...
| AlpsSolution (const AlpsNodeIndex_t i, const int d)
| Constructor to set index and depth. More...
virtual | ~AlpsSolution ()
| Destructor. More...
AlpsNodeIndex_t | getIndex ()
| Get index where solution was found. More...
void | setIndex (const AlpsNodeIndex_t i)
| Set index where solution was found. More...
int | getDepth ()
| Get depth where solution was found. More...
void | setDepth (const int d)
| Set depth where solution was found. More...
Public Member Functions inherited from AlpsKnowledge
| AlpsKnowledge ()
virtual | ~AlpsKnowledge ()
KnowledgeType | getType ()
void | setType (KnowledgeType t)
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded)
| Pack into a encode object. More...
AlpsEncoded * | getEncoded () const
| Get/set encoded. More...
void | setEncoded (AlpsEncoded *e)

## Protected Attributes
_node * | opt_
Protected Attributes inherited from BcpsSolution
int | size_
| Size of values_. More...
BcpsObject_p * | objects_
| List of objects associated with values. More...
double * | values_
| Solution values. More...
double | quality_
| Quality/Objective value associated with this solution. More...
Protected Attributes inherited from AlpsKnowledge
KnowledgeType | type_

## Detailed Description

This class contains a vrp solution.

Definition at line 26 of file VrpSolution.h.

## Constructor & Destructor Documentation

VrpSolution::VrpSolution | ( |  | ) |
| inline

Default constructor.

Definition at line 35 of file VrpSolution.h.

VrpSolution::VrpSolution | ( | int | s,
|  | const double * | values,
|  | double | objValue,
|  | VrpModel * | vrp = `0`
| ) |  |

Useful constructor.

virtual VrpSolution::~VrpSolution | ( |  | ) |
| inline virtual

Destructor.

Definition at line 42 of file VrpSolution.h.

## Member Function Documentation

void VrpSolution::setOpt | ( | _node * | opt | ) |
| inline

Set opt.

Definition at line 47 of file VrpSolution.h.

virtual void VrpSolution::print | ( | std::ostream & | os | ) | const
| virtual

Print the solution.

Reimplemented from BlisSolution.

virtual AlpsEncoded* VrpSolution::encode | ( |  | ) | const
| inline virtual

The method that encodes the solution into a encoded object.

Reimplemented from BlisSolution.

Definition at line 56 of file VrpSolution.h.

virtual AlpsKnowledge* VrpSolution::decode | ( | AlpsEncoded & | encoded | ) | const
| inline virtual

The method that decodes the solution from a encoded object.

Reimplemented from BlisSolution.

Definition at line 76 of file VrpSolution.h.

## Member Data Documentation

_node* VrpSolution::opt_
| protected

Definition at line 30 of file VrpSolution.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Blis/examples/VRP/VrpSolution.h